#!/bin/csh -fv
# assume input is the file stem for a 9 component collection of files
# genreate 9 new files that are reciprocal

set just = "$1"
if ("$just" == "" ) then
echo need filestem ; exit
endif

	Transp plane=12 <${just}xx.H >${just}xx.R
	Transp plane=12 <${just}yy.H >${just}yy.R
	Transp plane=12 <${just}zz.H >${just}zz.R

	Window f1=0 n1=101<${just}xy.H | Transp plane=12 >ja.R
	Window f1=101 n1=101 <${just}yx.H | Transp plane=12 >jb.R
        Merge axis=2 space=n ja.R jb.R >${just}xy.R
	Window f1=0 n1=101<${just}yx.H | Transp plane=12 >ja.R
	Window f1=101 n1=101 <${just}xy.H | Transp plane=12 >jb.R
        Merge axis=2 space=n ja.R jb.R >${just}yx.R

	Window f1=0 n1=101<${just}xz.H | Transp plane=12 >ja.R
	Window f1=101 n1=101 <${just}zx.H | Transp plane=12 >jb.R
        Merge axis=2 space=n ja.R jb.R >{just}xz.R
	Window f1=0 n1=101<${just}zx.H | Transp plane=12 >ja.R
	Window f1=101 n1=101 <${just}xz.H | Transp plane=12 >jb.R
        Merge axis=2 space=n ja.R jb.R >${just}zx.R

	Window f1=0 n1=101<${just}yz.H | Transp plane=12 >ja.R
        Window f1=101 n1=101 <${just}zy.H | Transp plane=12 >jb.R
        Merge axis=2 space=n ja.R jb.R >${just}yz.R
        Window f1=0 n1=101<${just}zy.H | Transp plane=12 >ja.R
        Window f1=101 n1=101 <${just}yz.H | Transp plane=12 >jb.R
        Merge axis=2 space=n ja.R jb.R >${just}zy.R

#	Merge ${justxx.R ${justxy.R ${justxz.R axis=2 space=y >j1.R
#	Merge ${justyx.R ${justyy.R ${justyz.R axis=2 space=y >j2.R
#	Merge ${justzx.R ${justzy.R ${justzz.R axis=2 space=y >j3.R
#	Merge j1.R j2.R j3.R axis=1 space=y >j4.R

Rm ja.R jb.R
